Skip to main content

List groups (paginated)

GET
/groups

Contract

Parameter
Value
Sectiongroups
AuthenticationCookieAuth
Consumesnot required
Producesapplication/json

Parameters

6 parameters

Name
Location
Required
Type
Description
inputquerynostringSearch by group name, email address, or creator name
group_idquerynostringFilter by group ID
countqueryyesintegerPage size
pagequeryyesintegerPage number, starting at 1
keyqueryyesstringSort field
orderqueryyesenum(asc, desc)Sort direction
  • "asc"

Responses

4 responses

Status
Description
Type
200
Successful responseobject
400
Invalid query parametersobject
401
Unauthorizedobject
500
Internal server errorobject
  • {
      "cursor": {
        "count": 0,
        "currentPage": 0,
        "totalPages": 0,
        "totalRows": 0
      },
      "data": [
        {
          "createdAt": "<string>",
          "deletedAt": "<string>",
          "id": 0,
          "issuer": {
            "agreementAccepted": true,
            "createdAt": "<string>",
            "deletedAt": "<string>",
            "email": "<string>",
            "group": {},
            "groupID": 0,
            "id": 0,
            "isActive": true,
            "isRequiredToSetPassword": true,
            "lastLogin": "<string>",
            "notificationsReadAt": "<string>",
            "passwordLength": 0,
            "realName": "<string>",
            "updatedAt": "<string>"
          },
          "issuerID": 0,
          "name": "<string>",
          "permissions": [
            {
              "value": 0
            }
          ],
          "updatedAt": "<string>",
          "users": [
            {
              "agreementAccepted": true,
              "createdAt": "<string>",
              "deletedAt": "<string>",
              "email": "<string>",
              "group": {},
              "groupID": 0,
              "id": 0,
              "isActive": true,
              "isRequiredToSetPassword": true,
              "lastLogin": "<string>",
              "notificationsReadAt": "<string>",
              "passwordLength": 0,
              "realName": "<string>",
              "updatedAt": "<string>"
            }
          ]
        }
      ]
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }